qemu-trivial
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Qemu-trivial] [PULL 03/14] tests: Fix schema parser test for in-tree bu


From: Michael Tokarev
Subject: [Qemu-trivial] [PULL 03/14] tests: Fix schema parser test for in-tree build
Date: Sun, 6 Oct 2013 13:32:48 +0400

From: Markus Armbruster <address@hidden>

Commit 4f193e3 added the test, but screwed up in-tree builds
(SRCDIR=.): the tests's output overwrites the expected output, and is
thus compared to itself.

Cc: address@hidden
Reported-by: Laszlo Ersek <address@hidden>
Reviewed-by: Andreas Färber <address@hidden>
Reviewed-by: Laszlo Ersek <address@hidden>
Signed-off-by: Markus Armbruster <address@hidden>
Signed-off-by: Michael Tokarev <address@hidden>
---
 tests/.gitignore |    1 +
 tests/Makefile   |    8 ++++----
 2 files changed, 5 insertions(+), 4 deletions(-)

diff --git a/tests/.gitignore b/tests/.gitignore
index f94ce04..425757c 100644
--- a/tests/.gitignore
+++ b/tests/.gitignore
@@ -23,3 +23,4 @@ test-thread-pool
 test-x86-cpuid
 test-xbzrle
 *-test
+qapi-schema/*.test.*
diff --git a/tests/Makefile b/tests/Makefile
index 994fef1..915ae5e 100644
--- a/tests/Makefile
+++ b/tests/Makefile
@@ -261,10 +261,10 @@ check-tests/test-qapi.py: tests/test-qapi.py
 
 .PHONY: $(patsubst %, check-%, $(check-qapi-schema-y))
 $(patsubst %, check-%, $(check-qapi-schema-y)): check-%.json: 
$(SRC_PATH)/%.json
-       $(call quiet-command, PYTHONPATH=$(SRC_PATH)/scripts $(PYTHON) 
$(SRC_PATH)/tests/qapi-schema/test-qapi.py <$^ >$*.out 2>$*.err; echo $$? 
>$*.exit, "  TEST  $*.out")
-       @diff -q $(SRC_PATH)/$*.out $*.out
-       @diff -q $(SRC_PATH)/$*.err $*.err
-       @diff -q $(SRC_PATH)/$*.exit $*.exit
+       $(call quiet-command, PYTHONPATH=$(SRC_PATH)/scripts $(PYTHON) 
$(SRC_PATH)/tests/qapi-schema/test-qapi.py <$^ >$*.test.out 2>$*.test.err; echo 
$$? >$*.test.exit, "  TEST  $*.out")
+       @diff -q $(SRC_PATH)/$*.out $*.test.out
+       @diff -q $(SRC_PATH)/$*.err $*.test.err
+       @diff -q $(SRC_PATH)/$*.exit $*.test.exit
 
 # Consolidated targets
 
-- 
1.7.10.4




reply via email to

[Prev in Thread] Current Thread [Next in Thread]